import json
import os
import subprocess

# Funkcja do wczytywania konfiguracji
def load_config(config_file):
    with open(config_file, 'r') as f:
        return json.load(f)

# Funkcja do wczytywania linków do pobrania
def load_download_links(download_file):
    with open(download_file, 'r') as f:
        return [line.strip() for line in f if line.strip()]

def main():
    # Wczytaj konfigurację
    config = load_config('config.json')
    username = config['username']
    password = config['password']

    # Wczytaj linki do pobrania
    download_links = load_download_links('list.txt')

    # Iteruj przez linki i uruchamiaj chomyk.py
    for link in download_links:
        # Wyodrębnij nazwę folderu z linku
        parts = link.split('/')
        main_folder_name = parts[-2].replace('+', ' ')  # Główna nazwa folderu
        sub_folder_name = parts[-1]  # Nazwa podfolderu (np. CD1, CD2)
        
        # Utwórz pełną nazwę folderu do zapisu
        download_directory = os.path.join('./', main_folder_name, sub_folder_name.replace('+', ' '))  # Zamień '+' na spacje

        # Upewnij się, że katalog do zapisu istnieje
        os.makedirs(download_directory, exist_ok=True)

        # Uruchom chomyk.py z odpowiednimi parametrami
        command = [
            'python3', 'chomyk.py',
            '-u', username,
            '-p', password,
            '-i', link,
            '-d', download_directory
        ]
        
        # Wykonaj polecenie
        subprocess.run(command)

if __name__ == "__main__":
    main()
